%define _name gnome-utils
%define ver_major 2.10

Name: gnome2-utils
Version: %ver_major.1
Release: alt1

Summary: Utilities for the GNOME 2.0 desktop
License: LGPL
Group: Graphical desktop/GNOME
Url: ftp://ftp.gnome.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%_name/%ver_major/%_name-%version.tar.bz2
Patch: %name-2.2.3-alt-pam.patch
#Patch1: %_name-2.9.91-alt-kernel_includes.patch

%define rpm_ver 4.0.4-alt14
%define intltool_ver 0.33
%define libgnome_ver 2.10.0
%define libgnomeui_ver 2.10.0
%define gnome_vfs_ver 2.10.0
%define glade_ver 2.5.1
%define libbonoboui_ver 2.8.1
%define libgnome_panel_ver 2.10.0
%define scrollkeeper_ver 0.3.14
%define GConf_ver 2.10.0

Requires: %name-gdict-applet = %version-%release	%name-gfloppy = %version-%release
Requires: %name-gnome-search-tool = %version-%release	%name-gnome-system-log = %version-%release
Requires: %name-gnome-screenshot = %version-%release

BuildPreReq: kernel-headers-std

BuildPreReq: rpm >= %rpm_ver
BuildPreReq: libgnome-devel >= %libgnome_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs_ver
BuildPreReq: libglade2-devel >= %glade_ver
BuildPreReq: libbonoboui-devel >= %libbonoboui_ver
BuildPreReq: libgnome-panel-devel >= %libgnome_panel_ver

BuildPreReq: menu-devel
BuildPreReq: gnome-common >= 1.2.4-alt3

# Automatically added by buildreq on Mon Sep 13 2004 (-bi)
BuildRequires: GConf2 ORBit2-devel XFree86-devel-static XFree86-libs bzlib-devel consolehelper docbook-dtds esound fontconfig freetype2 gcc-c++ glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libdbus-glib-devel libbonoboui-devel libe2fs-devel libglade2-devel libgnome-desktop-devel libgnome-devel libgnome-keyring libgnome-panel-devel libgnomecanvas-devel libgnomeui-devel libgnomeprint2-devel libgnomeprintui-devel libgtk+2-devel libhal-devel libpam-devel libpango-devel libpopt-devel libstartup-notification-devel libxml2-devel menu-devel perl-XML-Parser pkgconfig scrollkeeper xml-common zlib-devel

%description
GNOME Utilities for the GNOME 2.0 desktop contains the following:

System Log Viewer - monitor and view system log files.
Search Tool       - search for files on your system using simple
		    and advanced search options.
Dictionary        - look up an online dictionary for definitions
		    and correct spelling of words.
Floppy Format     - format floppy disks under Linux.

%package common
Summary: Common files for GNOME utilities
Group: Graphical desktop/GNOME
Obsoletes: %_name, %name-archive-generator
Obsoletes: %name-gnome-calculator
Obsoletes: %name-gnome-character-map
Obsoletes: %name-gdialog
PreReq: scrollkeeper >= %scrollkeeper_ver
PreReq: GConf2 >= %GConf_ver
Requires: libgnome >= %libgnome_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: gnome-vfs2 >= %gnome_vfs_ver
Requires: libglade2 >= %glade_ver
Requires: libbonoboui >= %libbonoboui_ver
Requires: libgnome-panel >= %libgnome_panel_ver

%description common
This package contains common files needed to run GNOME utilities.

%package gdict-applet
Summary: GNOME panel applet for gnome-dictionary
Group: Graphical desktop/GNOME
PreReq: %name-common = %version-%release
Requires: %name-gnome-dictionary = %version-%release

%description gdict-applet
GNOME panel applet for gnome-dictionary (Gnome client for MIT dictionary
server).

%package gfloppy
Summary: A simple floppy formatter for the GNOME
Group: Graphical desktop/GNOME
PreReq: %name-common = %version-%release

%description gfloppy
Floppy Format - format floppy disks under Linux.

%package gnome-dictionary
Summary: Gnome client for MIT dictionary server
Group: Graphical desktop/GNOME
PreReq: %name-common = %version-%release

%description gnome-dictionary
Dictionary - look up an online dictionary for definitions  		
and correct spelling of words.

%package gnome-search-tool
Summary: The GNOME Search Tool
Group: Graphical desktop/GNOME
PreReq: %name-common = %version-%release

%description gnome-search-tool
Search Tool - search for files on your system using simple  		
and advanced search options.

%package gnome-screenshot
Summary: The GNOME Screenshot Tool
Group: Graphical desktop/GNOME
PreReq: %name-common = %version-%release

%description gnome-screenshot
Screenshot Tool makes screenshots from desktop.

%package gnome-system-log
Summary: The GNOME logfile viewer
Group: Graphical desktop/GNOME
PreReq: %name-common = %version-%release

%description gnome-system-log
System Log Viewer - monitor and view system log files.

%define _libexecdir %_bindir

%prep
%setup -q -n %_name-%version
%patch -p1
#%patch1 -p1

%build
export ac_cv_path_CONSOLE_HELPER=/usr/bin/consolehelper
%configure \
	--enable-console-helper \
	--enable-hal \
	--enable-ipv6

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall libexecdir=%buildroot%_bindir
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# menus
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name-gfloppy "Configuration/Hardware" \
    %buildroot%_datadir/applications/gfloppy.desktop \
    %buildroot%_menudir/gfloppy

freedesktop2menu.pl %name-gnome-dictionary "Office" \
    %buildroot%_datadir/applications/gnome-dictionary.desktop \
    %buildroot%_menudir/gnome-dictionary

freedesktop2menu.pl %name-gnome-search-tool "Applications/File tools" \
    %buildroot%_datadir/applications/gnome-search-tool.desktop \
    %buildroot%_menudir/gnome-search-tool

freedesktop2menu.pl %name-gnome-system-log "Applications/Monitoring" \
    %buildroot%_datadir/applications/gnome-system-log.desktop \
    %buildroot%_menudir/gnome-system-log

# remove non-packaged files
%__rm -rf %buildroot/var

%define utils gfloppy gnome-dictionary gnome-search-tool gnome-system-log
%find_lang --with-gnome %_name %_name-2.0 %utils

for omf in %utils; do
    grep "$omf" %_name.lang >> $omf.lang
done

%post gdict-applet
%gconf2_install gdict

%post gfloppy
%gconf2_install gfloppy
%update_menus
%update_scrollkeeper

%post gnome-search-tool
%gconf2_install gnome-search-tool
%update_menus
%update_scrollkeeper

%post gnome-screenshot
%gconf2_install gnome-screenshot

%post gnome-system-log
%gconf2_install logview
%update_menus
%update_scrollkeeper

%post gnome-dictionary
%update_menus
%update_scrollkeeper

%preun gdict-applet
if [ $1 = 0 ]; then
%gconf2_uninstall gdict
fi

%preun gfloppy
if [ $1 = 0 ]; then
%gconf2_uninstall gfloppy
fi

%preun gnome-search-tool
if [ $1 = 0 ]; then
%gconf2_uninstall gnome-search-tool
fi

%preun gnome-screenshot
if [ $1 = 0 ]; then
%gconf2_uninstall gnome-screenshot
fi

%preun gnome-system-log
%gconf2_uninstall logview

%postun gfloppy
%clean_menus
%clean_scrollkeeper

%postun gnome-dictionary
%clean_menus
%clean_scrollkeeper

%postun gnome-search-tool
%clean_menus
%clean_scrollkeeper

%postun gnome-system-log
%clean_menus
%clean_scrollkeeper

%files

%files common -f %_name-2.0.lang
%dir %_datadir/omf/%_name
%dir %_datadir/%_name
%dir %_datadir/%_name/glade
%doc AUTHORS ChangeLog NEWS README THANKS

%files gdict-applet
%_bindir/gdict-applet
%_libdir/bonobo/*/*
%_datadir/gnome-2.0/*/*

%files gfloppy -f gfloppy.lang
%_bindir/gfloppy
%_datadir/applications/gfloppy.*
%_datadir/%_name/glade/gfloppy2.glade
%_man1dir/gfloppy.*
%_menudir/gfloppy
%config %_sysconfdir/gconf/*/gfloppy.*

%files gnome-dictionary  -f gnome-dictionary.lang
%_bindir/gnome-dictionary
%_datadir/applications/gnome-dictionary.*
%_man1dir/gnome-dictionary.*
%config %_sysconfdir/gconf/*/gdict.*
%_menudir/gnome-dictionary

%files gnome-search-tool -f gnome-search-tool.lang
%_bindir/gnome-search-tool
%_datadir/applications/gnome-search-tool.*
%_man1dir/gnome-search-tool.*
%_menudir/gnome-search-tool
%config %_sysconfdir/gconf/*/gnome-search-tool.*

%files gnome-system-log -f gnome-system-log.lang
%_bindir/gnome-system-log
%_sbindir/gnome-system-log
%_datadir/applications/gnome-system-log.*
%_datadir/gnome-system-log
%_menudir/gnome-system-log
%_man1dir/gnome-system-log.*
%config %_sysconfdir/pam.d/*
%config %_sysconfdir/security/*/*
%config %_sysconfdir/gconf/*/logview.*

%files gnome-screenshot
%_bindir/gnome-panel-screenshot
%_bindir/gnome-screenshot
%_datadir/gnome-screenshot
%config %_sysconfdir/gconf/schemas/gnome-screenshot*

%changelog
* Wed Apr 06 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.1-alt1
- 2.10.1

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Mon Feb 28 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.92-alt1
- 2.9.92.

* Wed Feb 09 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.91-alt1
- 2.9.91

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.1-alt1
- 2.8.1

* Mon Sep 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0

* Mon Sep 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.7.91-alt1
- 2.7.91

* Thu Apr 29 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Wed Apr 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Thu Apr 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Mon Feb 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.2-alt1
- 2.5.2

* Tue Oct 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Mon Sep 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt2
- fixed buildreqs.

* Wed Sep 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Thu Sep 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.90-alt1
- 2.3.90

* Wed Aug 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt1
- 2.3.4

* Sun Jun 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3
- gdialog obsoletes, raplaced by zenity.
- gnomedesktop2mdkmenu.pl used to generate menu files.
- /etc/pam.d/gnome-system-log adopted for new PAM configuration policy
  (requires pam >= 0.75-alt20).

* Sun May 18 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- 2.3.2
- Obsoletes gnome2-utils-{calculator,character-map},
  replaced by gcalctool and gucharmap respectively.

* Thu May 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Mon Mar 31 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt1
- 2.3.0

* Thu Mar 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Mon Jan 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.3-alt1
- 2.2.0.3

* Sun Jan 26 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.2-alt1
- 2.2.0.2

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.90-alt1
- 2.1.90

* Mon Dec 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Mon Dec 09 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Tue Nov 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3
- archive-generator removed from project.

* Sat Nov 02 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt2
- rebuild with new pango, gtk+

* Thu Oct 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Thu Sep 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.5-alt1.1
- Buildreqs updated
- files section for archive-generator fixed.
- gnome2-utils virtual package install all utils.

* Wed Sep 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.5-alt1
- 2.0.5

* Wed Jun 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.0-alt1
- First build for Sisyphus.

